Replace a credit memo

Update the number of line items in a credit memo. You can also update other credit memo details.

You can use the PUT operation to add, remove, or replace the number of line items in a credit memo. A set of rules apply with the PUT operation.

  • When you add a new line item, a new line item id is generated in the credit memo.
  • When you omit an existing line item id, the line item is removed from the credit memo.
Path Params
string
required
length ≥ 1

BILL-generated ID of the credit memo. The value begins with ccr.

Body Params
string
required
length ≥ 1

BILL-generated ID of the customer. The value begins with 0cu.

string
required
length between 1 and 100

User-generated credit memo number. This value can be in your chosen number scheme.

date
required

Credit memo issued date. This value is in the yyyy-MM-dd format.

string

Credit memo description

string

BILL-generated ID of the SALES_TAX item. The value begins with 0ii. The tax rate is applied to all the credit memo line items set as taxable.

You can set up a SALES_TAX percentage item with POST /v3/classifications/items.

string

BILL-generated ID of the chart of accounts used when the credit memo is applied to an invoice payment. The value begins with 0ca.

string

BILL-generated ID of the bank account used when the credit memo is applied to an invoice payment. The value begins with bac.

Note: You can set only one of payToChartOfAccountId or payToBankAccountId.

classifications
object

General ledger classifications information for the credit memo

creditMemoLineItems
array of objects
required
length ≥ 1

Credit memo line item information

creditMemoLineItems*
string

BILL-generated ID of the credit memo line item. The value begins with cci.

string

Credit memo line item description

number

Credit memo line item unit price. For a credit memo in an international currency (not USD), this value is in the local currency.

number

Credit memo line item unit quantity

number
≥ -100

Credit memo line item rate percent. Use ratePercent to apply a discount or markup in your credit memo.

BILL applies the discount to the sum of the amount values of all the line items above the ratePercent line item.

Note: Use a separate line item to set a ratePercent for the credit memo. Set the ratePercent line item as the final line item. Do not set price and quantity in the line item when you set ratePercent.

For example, let's say you have two line items in a credit memo with an amount sum of $150. If you create a third line item with ratePercent set as -10, a 10% discount ($15) is applied to the amount sum of $150.

boolean

Set as true if the credit memo line item is taxable

classifications
object

General ledger classifications information for the credit memo line item

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json